<?php

namespace App\Controllers;

use App\Models\ProductModel;

class Cart extends BaseController
{

    private $model;

    public function __construct()
    {
        $this->model = new ProductModel();
    }

    public function add($id)
    {
        $qty = abs((int)$this->request->getGet('qty'));
        $product = $this->model->where('id', $id)->first();
        if (!$product) {
            return false;
        }
        $this->model->add2Cart($product, $qty);
        if ($this->request->isAJAX()) {
            return view('cart/cart_modal');
        }
        return redirect()->back();
    }

    public function show()
    {
        return view('cart/cart_modal');
    }

    public function delete($id)
    {
        $this->model->deleteItemCart($id);
        if ($this->request->isAJAX()) {
            return view('cart/cart_modal');
        }
        return redirect()->back();
    }

    public function clear()
    {
        if (empty($_SESSION['cart'])) {
            return false;
        }
        unset($_SESSION['cart']);
        unset($_SESSION['cart.qty']);
        unset($_SESSION['cart.sum']);
        if ($this->request->isAJAX()) {
            return view('cart/cart_modal');
        }
        return redirect()->back();
    }

}
